# Function forDefinitions

- forDefinitions<C>(definitions): {
  forDb: ((db) => {
  run: ProcessorRunner<C>;
  forProvider(provider) => {
  run: ProcessorRunner<C>;
  };
  });
  resources: ResourceProcessors<C>;
  }

- #### Type Parameters

  - #### C extends Meta.Collections

  #### Parameters

  - ##### definitions: Meta.Process.Definitions<C>

  #### Returns {
  forDb: ((db) => {
  run: ProcessorRunner<C>;
  forProvider(provider) => {
  run: ProcessorRunner<C>;
  };
  });
  resources: ResourceProcessors<C>;
  }

  - ##### forDb: ((db) => {
    run: ProcessorRunner<C>;
    forProvider(provider) => {
    run: ProcessorRunner<C>;
    };
    })

    - - (db): {
        run: ProcessorRunner<C>;
        forProvider(provider) => {
        run: ProcessorRunner<C>;
        };
        }

      - #### Parameters

        - ##### db: Meta.Db<C>

        #### Returns {
        run: ProcessorRunner<C>;
        forProvider(provider) => {
        run: ProcessorRunner<C>;
        };
        }

        - ##### run: ProcessorRunner<C>

        - ##### forProvider:function

          - forProvider(provider): {
            run: ProcessorRunner<C>;
            }

          - #### Parameters

            - ##### provider: Provider

            #### Returns {
            run: ProcessorRunner<C>;
            }

            - ##### run: ProcessorRunner<C>

            - Defined in packages/db/src/meta/process/run.ts:35

  - ##### resources: ResourceProcessors<C>

  - Defined in packages/db/src/meta/process/index.ts:28

Generated using TypeDoc